package com.fs.app.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
public class CompanyUserParam {
    /**
     * 上级销售
     */
    @NotNull(message = "上级销售不能为空")
    @ApiModelProperty("上级销售不能为空")
    private Long companyUserId;
    /**
     * 手机号码
     */
    @NotBlank(message = "手机号码不能为空")
    private String phoneNumber;
    /**
     * 昵称
     */
    @NotBlank(message = "昵称不能为空")
    private String nickName;
    /**
     * 密码
     */
    @NotBlank(message = "用户密码不能为空")
    private String password;

}
